Subject: Re: bug#71709: Fix recent change in tramp-sh-handle-make-process

From: Iurie Marian <[email-masked]>
Date: Sat, 22 Jun 2024 19:27:29 +0200

Alright, yes last time I've only applied the patch in *.el file and
evaluated the buffer :D

I've recompiled from scratch and it works as expected! :)

Many thanks!
Iurie

On Sat, 22 Jun 2024 at 19:05, Michael Albinus <[email-masked]> wrote:
>
> Iurie Marian <[email-masked]> writes:
>
> Hi Iurie,
>
> > Unfortunately, the patch doesn't help.
> > By the way, this is what I noticed:
> > * the issue seems to occur more often in a docker container
> > * over /ssh it is working well, or at least it never occurred
> > * the temporary buffers like ~/tmp/tramp.J0RZDc~ are actually created on remote
> > * after repetitive tests I noticed that it doesn't reproduce anymore
> > and I added a line to print the default-directory right before
> > `make-process` for stderr: ~lisp/net/tramp-sh.el:3057~
> >   - when it fails, the default-directory is on local host
> >   - when it succeeds - it's on remote (where I guess it finds that
> > temporary file)
>
> But this was exactly the change I have sent to you: preserve proper default-directory.
>
> > * on emacs restart it starts reproducing again
> > * once it starts working, it never reproduces again until emacs restart
> >
> > It looks like it has something to do with `stderr` process execution
> > environment.
>
> Yes. Did you apply the change as I have said? That means
>
> - Patch tramp.el inside the emacs tree
> - Remove all compiled Tramp files, like 'rm lisp/net/tramp*.elc'
> - Recompile EWmacs by calling 'make'.
>
> Best regards, Michael.